Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class AbstractIDElementAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
              info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeBranchDataAdapter

Direct Known Subclasses:
  HiddenDataAdapter, TextLabelAdapter

    public abstract class AbstractIDElementAdapter

extends TextElementDataAdapter
implements IDElementAdapter

Node data adapters that need to store an ID can be inherited from this abstract class.

Author:
  Ben Stöver

Field Summary
`protected String` | `id`

Constructor Summary
`AbstractIDElementAdapter(String id)`

Method Summary
`boolean` | `equals(Object other)` Returns `true` if the specified object is an instance of the same class and has the same ID.
`ConcretePaintableElement` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`String` | `getID()`
`boolean` | `isNewColumn()`
`boolean` | `readOnly()`
`void` | `setID(String id)` Sets the ID used to access the returned data.

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
`assignData, createData, decimalOnly, delete, getData, getDecimal, getDecimalFormat, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.NodeBranchDataAdapter
`decimalOnly, delete, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, toString`

Field Detail

### id

    protected String id

Constructor Detail

### AbstractIDElementAdapter

    public AbstractIDElementAdapter(String id)

Method Detail

### readOnly

    public boolean readOnly()

  Specified by:
    `readOnly` in interface `NodeBranchDataAdapter`

### isNewColumn

    public boolean isNewColumn()

  Specified by:
    `isNewColumn` in interface `NodeBranchDataAdapter`
  Overrides:
    `isNewColumn` in class `TextElementDataAdapter`

### getID

    public String getID()

  Specified by:
    `getID` in interface `IDElementAdapter`

### setID

    public void setID(String id)

  Description copied from interface: `IDElementAdapter`
  Sets the ID used to access the returned data.

  Specified by:
    `setID` in interface `IDElementAdapter`

### getDataElement

    public ConcretePaintableElement getDataElement(Node node)

  Description copied from interface: `NodeBranchDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeBranchDataAdapter`
  Returns:

### equals

    public boolean equals(Object other)

  Returns `true` if the specified object is an instance of the same class and has the same ID.

  Overrides:
    `equals` in class `AbstractNodeBranchDataAdapter`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD